Name:           frescobaldi
Version:        1.0.2
Release:        3%{?dist}
Summary:        Edit LilyPond sheet music with ease!
Group:          Applications/Editors
# python/hyphenator.py is LGPLv2+
# python/rational.py is public domain
# The rest, including the core of the program, is GPLv2+
License:        GPLv2+ and LGPLv2+ and Public Domain
URL:            http://www.frescobaldi.org/
Source0:        http://lilykde.googlecode.com/files/%{name}-%{version}.tar.gz
# Enable build for python-2.7
Patch0:         frescobaldi-py27.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext 
BuildRequires:  ImageMagick
BuildRequires:  lilypond
BuildRequires:  PyKDE4

Requires:       alsa-utils
Requires:       lilypond
Requires:       PyKDE4 
Requires:       rumor
Requires:       timidity++
# Need katepart, kdialog, okularpart, ...
Requires:       kdebase
Requires:       kdegraphics
Requires:       kdesdk

%description
Frescobaldi is a LilyPond sheet music editor for KDE4. It aims to be powerful,
yet lightweight and easy to use. It features:

    * Enter LilyPond scores, build and preview them with a mouseclick
    * Point-and-click support: click on notes or error messages to jump to the
      correct position
    * A powerful Score Wizard to quickly setup a musical score
    * Editing tools to:
          o manipulate the rhythm
          o hyphenate lyrics
          o quickly enter or add articulations and other symbols to existing 
            music
          o run the document through convert-ly to update it to a newer 
            LilyPond version
    * Context sensitive autocomplete, helping you to quickly enter LilyPond 
      commands
    * Expansion manager to enter larger snippets of LilyPond input using short
      mnemonics
    * A powerful Rumor plugin, using the Rumor program to quickly enter music
      by playing it on a MIDI keyboard or even your computer keyboard
    * Built-in comprehensive User Guide


%prep
%setup -q
%patch0 -p1 -b .py27

%build
%{cmake_kde4} -DKDE4_BIN_INSTALL_DIR=%{_bindir}
make %{?_smp_mflags} VERBOSE=1 

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} 

## File lists
# locale's
%find_lang %{name}
# HTML (1.0)
HTML_DIR=$(kde4-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
   for lang_dir in %{buildroot}$HTML_DIR/* ; do
      pushd $lang_dir
         # Replace absolute symlinks with relative ones
         for i in *; do
            [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
         done
      popd
   done
fi

# desktop file
desktop-file-install                                         \
   --dir=%{buildroot}%{_datadir}/applications                \
   --remove-category=Application                             \
   --add-category=AudioVideo                                 \
   --add-category=X-Notation                                 \
   --delete-original                                         \
   %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

# Decompress the icon. It looks like bug #491016 is being ignored.
mv %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg{,.g}z
gunzip %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg.gz

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README* THANKS TODO
%{_docdir}/HTML/en/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/kde4/apps/%{name}/

%changelog
* Tue Jul 27 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 1.0.2-3
- Enable build for python-2.7

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Feb 20 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 1.0.2-1
- New upstream version (for KDE 4.4)

* Sat Jan 30 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 1.0.1-1
- New upstream version

* Wed Nov 18 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.7.16-1
- New upstream version

* Thu Sep 17 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.7.14-1
- New upstream version

* Mon Aug 10 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.7.13-1
- New upstream version
- No need to rebuild .mo and .png files per new guidelines

* Wed Aug 05 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.7.12-3
- Update the .desktop file

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 05 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.7.12-1
- New upstream version

* Mon Jun 15 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.7.11-1
- New upstream version

* Tue Jun 09 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.7.10-1
- New upstream version
- Decompress the icon. RHBZ #491016 is being ignored.

* Sat May 23 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.7.9-1
- New upstream version

* Tue Mar 24 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.7.8-1
- New upstream version

* Tue Mar 17 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.7.7-2
- Remove BuildRequires:  dbus-python
- Fix the year of the previous changelog entry
- Add "Public Domain" to the license tag
- Add AudioVideo category to the .desktop file
- Add disttag

* Sun Mar 15 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.7.7-1
- Initial build
